Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplementationRepository::Locator Class Reference

`#include <ImR_LocatorC.h>`

Inheritance diagram for ImplementationRepository::Locator:

[legend]
Collaboration diagram for ImplementationRepository::Locator:

[legend]
List of all members.

## Public Types
typedef Locator_ptr | _ptr_type
typedef Locator_var | _var_type
typedef TAO_MngSeq_Var_T< ServerNameList, TAO_SeqElem_String_Manager > | ServerNameList_var
typedef TAO_MngSeq_Out_T< ServerNameList, ServerNameList_var, TAO_SeqElem_String_Manager > | ServerNameList_out
## Public Methods
virtual void | activate_server_in_activator (const char *server, const char *activator ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException , ImplementationRepository::NotFound , ImplementationRepository::CannotActivate )
virtual void | remove_server_in_activator (const char *server, const char *activator ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException , ImplementationRepository::NotFound )
virtual void | shutdown_server_in_activator (const char *server, const char *activator ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException , ImplementationRepository::NotFound )
virtual void | server_is_shutting_down_in_activator (const char *server, const char *activator ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException , ImplementationRepository::NotFound )
virtual CORBA::Long | register_activator (const char *activator, ImplementationRepository::Administration_ptr admin, const ImplementationRepository::Locator::ServerNameList &servers ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual void | unregister_activator (const char *activator, CORBA::Long token ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual void | server_is_running_in_activator (const char *server, const char *activator, const char *addr, ImplementationRepository::ServerObject_ptr server_object ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException , ImplementationRepository::NotFound )
virtual void | find_in_activator (const char *server, const char *activator, ImplementationRepository::ServerInformation_out info ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException , ImplementationRepository::NotFound )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Methods
Locator_ptr | _duplicate (Locator_ptr obj)
Locator_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
Locator_ptr | _nil (void)
void | _tao_any_destructor (void *)
## Public Attributes
static::CORBA::TypeCode_ptr | _tc_ServerNameList
## Protected Methods
| Locator (int collocated=0)
virtual void | ImplementationRepository_Locator_setup_collocation (int collocated)
| Locator (IOP::IOR *ior, TAO_ORB_Core *orb_core=0)
| Locator (TAO_Stub *objref, CORBA::Boolean _tao_collocated=0, TAO_Abstract_ServantBase *servant=0, TAO_ORB_Core *orb_core=0)
virtual | ~Locator (void)
## Private Methods
| Locator (const Locator &)
void | operator= (const Locator &)
## Private Attributes
TAO::Collocation_Proxy_Broker * | the_TAO_Locator_Proxy_Broker_
## Friends
class | TAO::Narrow_Utils< Locator >

## Member Typedef Documentation

typedef Locator_ptr ImplementationRepository::Locator::_ptr_type

| Reimplemented from ImplementationRepository::Administration.

typedef Locator_var ImplementationRepository::Locator::_var_type

| Reimplemented from ImplementationRepository::Administration.

typedef TAO_MngSeq_Out_T< ServerNameList, ServerNameList_var, TAO_SeqElem_String_Manager > ImplementationRepository::Locator::ServerNameList_out

typedef TAO_MngSeq_Var_T< ServerNameList, TAO_SeqElem_String_Manager > ImplementationRepository::Locator::ServerNameList_var

## Constructor & Destructor Documentation

ImplementationRepository::Locator::Locator | ( | int | collocated = 0 | ) | `[protected]`

ACE_INLINE ImplementationRepository::Locator::Locator | ( | IOP::IOR * | ior,
|  | TAO_ORB_Core * | orb_core = 0
| ) | `[protected]`

ACE_INLINE ImplementationRepository::Locator::Locator | ( | TAO_Stub * | objref,
|  | CORBA::Boolean | _tao_collocated = 0,
|  | TAO_Abstract_ServantBase * | servant = 0,
|  | TAO_ORB_Core * | orb_core = 0
| ) | `[protected]`

ImplementationRepository::Locator::~Locator | ( | void |  | ) | `[protected, virtual]`

ImplementationRepository::Locator::Locator | ( | const Locator & |  | ) | `[private]`

## Member Function Documentation

ImplementationRepository::Locator_ptr ImplementationRepository::Locator::_duplicate | ( | Locator_ptr | obj | ) | `[static]`

const char * ImplementationRepository::Locator::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from ImplementationRepository::Administration.

virtual CORBA::Boolean ImplementationRepository::Locator::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented from ImplementationRepository::Administration.

Locator_ptr ImplementationRepository::Locator::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from ImplementationRepository::Administration.

Locator_ptr ImplementationRepository::Locator::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from ImplementationRepository::Administration.

void ImplementationRepository::Locator::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from ImplementationRepository::Administration.

void ImplementationRepository::Locator::activate_server_in_activator | ( | const char * | server,
|  | const char *activator | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound , ImplementationRepository::CannotActivate )`[virtual]`

void ImplementationRepository::Locator::find_in_activator | ( | const char * | server,
|  | const char * | activator,
|  | ImplementationRepository::ServerInformation_out info | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[virtual]`

void ImplementationRepository::Locator::ImplementationRepository_Locator_setup_collocation | ( | int | collocated | ) | `[protected, virtual]`

CORBA::Boolean ImplementationRepository::Locator::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from ImplementationRepository::Administration.

void ImplementationRepository::Locator::operator= | ( | const Locator & |  | ) | `[private]`

CORBA::Long ImplementationRepository::Locator::register_activator | ( | const char * | activator,
|  | ImplementationRepository::Administration_ptr | admin,
|  | const ImplementationRepository::Locator::ServerNameList &servers | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException )`[virtual]`

void ImplementationRepository::Locator::remove_server_in_activator | ( | const char * | server,
|  | const char *activator | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[virtual]`

void ImplementationRepository::Locator::server_is_running_in_activator | ( | const char * | server,
|  | const char * | activator,
|  | const char * | addr,
|  | ImplementationRepository::ServerObject_ptr server_object | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[virtual]`

void ImplementationRepository::Locator::server_is_shutting_down_in_activator | ( | const char * | server,
|  | const char *activator | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[virtual]`

void ImplementationRepository::Locator::shutdown_server_in_activator | ( | const char * | server,
|  | const char *activator | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[virtual]`

void ImplementationRepository::Locator::unregister_activator | ( | const char * | activator,
|  | CORBA::Long token | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException )`[virtual]`

## Friends And Related Function Documentation

friend class TAO::Narrow_Utils< Locator >`[friend]`

## Member Data Documentation

CORBA::TypeCode_ptr ImplementationRepository::Locator::_tc_ServerNameList

| Initial value:
      &_tc_TAO_tc_ImplementationRepository_Locator_ServerNameList

TAO::Collocation_Proxy_Broker* ImplementationRepository::Locator::the_TAO_Locator_Proxy_Broker_`[private]`

The documentation for this class was generated from the following files:

- ImR_LocatorC.h
- ImR_LocatorC.cpp
- ImR_LocatorC.i